#:import StepsWidgetBuy src.app.components.steps

<ScreenTitle@LabelSB>
    size_hint_y: 0.2
    font_size: 50
    color: color_off_white

<MainLayout@BoxLayout>
    orientation: "vertical"
    spacing: 40


<ScreenSelectCrypto>:
    MainLayout:
        ScreenTitle:
            text_id: 'select_currency'

        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetBuy:
                id: steps
                size_hint_x: 3
            TokensRecycleView:
                id: rv_tokens
                size_hint_x: 9
                halign: "center"

        BoxLayout:
            size_hint_y: .3
            spacing: 10
            ButtonDark:
                id: button_back
                text_id: 'go_back'
                size_hint_x: 3
                on_release: root.goto_prev()
            ButtonLight:
                id: button_confirm
                text_id: 'confirm'
                size_hint_x: 9
                on_release: root.goto_next()

<ScreenBuyScan>:
    qr_reader: self.ids.preview
    MainLayout:
        ScreenTitle:
            text_id: 'inputkey'
        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetBuy:
                id: steps
                size_hint_x: 3

            BoxLayoutBackground:
                orientation: "horizontal"
                size_hint_x: 9
                background_color: color_darker_black

                QRReader:
                    background_color: color_darker_black
                    id:preview
                Image:
                    source: 'assets/img/phoneqr.png'
                    allow_stretch: True
                    keep_ratio: True

        BoxLayout:
            size_hint_y: .3
            spacing: 20
            ButtonDark:
                id: button_back
                text_id: 'go_back'
                size_hint_x: 3
                on_release: root.goto_prev()
            LabelSB:
                id: scan_error
                size_hint_x: 9
                text: 'scan message'
                font_size: 30
                color: color_red
                opacity: 0

<ShowBox@BoxLayout>
    canvas.before:
        Color:
            rgba: color_gray_3
        Line:
            width: 1
            rectangle: self.x, self.y, self.width, self.height
    padding: (40, 20)
    orientation: "horizontal"

<SideBox@BoxLayoutBackground>
    background_color: color_darker_black
    padding: (40, 40)

<ScreenBuyInsert>:
    MainLayout:
        ScreenTitle:
            text_id: 'inputfiat'
        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetBuy:
                id: steps
                size_hint_x: 3

            BoxLayout:
                orientation: "horizontal"
                size_hint_x: 9

                BoxLayout:
                    orientation: "vertical"
                    spacing: 10
                    padding: (0, 0, 10, 0)

                    ShowBox:
                        LabelLeft:
                            text_id: 'receiving_address'
                        LabelRight:
                            size_hint_x: 1.5
                            text: app.format_small_address(root._label_address_to)

                    ShowBox:
                        LabelLeft:
                            text_id: 'inserted_cash'
                        LabelRight:
                            font_size: 40
                            text: app.format_fiat_price(root.fiat_amount)

                    ShowBox:
                        LabelLeft:
                            text_id: 'estimated_received'
                        LabelRight:
                            text: app.format_crypto_price(root._estimated_crypto_amount, root._token_symbol, root._token_decimals_display)

                    ShowBox:
                        LabelLeft:
                            text_id: 'minimum_received'
                        LabelRight:
                            text: app.format_crypto_price(root._min_buy_amount, root._token_symbol, root._token_decimals_display)

                BoxLayout:
                    orientation: "vertical"
                    spacing: 10
                    size_hint_x: 0.5

                    Widget:
                    SideBox:
                        LabelLeft:
                            id: max_amount_title
                            text_id: 'max_amount'
                        LabelRight:
                            id: max_amount_text
                            size_hint_x: 0.5
                            text: root._label_max_amount
                    SideBox:
                        LabelLeft:
                            size_hint_x: 0.5
                            text: "1 {} =".format(root._token_symbol)
                        LabelRight:
                            text: app.format_fiat_price(root._token_price, 3)

        BoxLayout:
            size_hint_y: .3
            spacing: 10

            ButtonDark:
                id: button_back
                disabled: root.fiat_amount > 0
                text_id: 'cancel'
                size_hint_x: 3
                on_release: root.goto_prev()
            ButtonLight:
                id: button_confirm
                disabled: root.fiat_amount <= 0
                size_hint_x: 9
                text_id: 'buy'
                on_release: root.goto_next()



<ScreenBuyFinal>:
    MainLayout:
        ScreenTitle:
            text_id: 'tx_completed'
        BoxLayout:
            orientation: "horizontal"
            spacing: 10

            StepsWidgetBuy:
                id: steps
                size_hint_x: 0.3

            BoxLayout:
                orientation: "vertical"
                size_hint_x: 0.6
                spacing: 10

                ShowBox:
                    LabelLeft:
                        size_hint_x: 0.3
                        font_size: 30
                        text: app.format_fiat_price(root._fiat_amount)
                    LabelSB:
                        size_hint_x: 0.3
                        text: "----->"
                    LabelRight:
                        size_hint_x: 0.3
                        font_size: 30
                        text: app.format_crypto_price(root._crypto_bought, root._token_symbol, 6)

                ShowBox:
                    BoxLayout:
                        orientation: "horizontal"
                        LabelLeft:
                            text_id: "fee_total"
                            size_hint_x: 2
                        LabelLeft:
                            text: "{:.2f} %".format(root._fee_percent)
                            color: color_gray_3
                            size_hint_x: 1
                        LabelLeft:
                            text: app.format_fiat_price(root._fees_total, 2)
                            size_hint_x: 1
                        ButtonDark:
                            text_size: (self.width, None)
                            text_id: "fee_show_details"
                            size_hint_x: 2
                            on_release: root.show_details()
                ShowBox:
                    LabelLeft:
                        text_id: "receiving_address"
                    LabelRight:
                        text: app.format_small_address(root._label_address_to)

            BoxLayoutBackground:
                background_color: color_darker_black
                orientation: "vertical"
                size_hint_x: 0.3
                padding: (40, 40)
                LabelSB:
                    text_id: "view_tx_order"
                    size_hint_y: 0.1
                Image:
                    id: img_qr
                    allow_stretch: True
                    keep_ratio: True

        BoxLayout:
            size_hint_y: .3
            spacing: 20

            ButtonLight:
                text_id: 'go_home'
                on_release: root.goto_next()

<FeesDetailsModal>:
    background_color: color_darker_black
    padding: (40, 40)

    BoxLayout:
        orientation: "vertical"

        BoxLayout:
            LabelLeft:
                size_hint_x: 3
                text_id: 'fee_operator'
            LabelLeft:
                color: color_gray_3
                text:  "{:.2f} %".format(root.fee_operator_percent)
            LabelRight:
                text: app.format_fiat_price(root.fee_operator, 2)

        #BoxLayout:
        #    LabelLeft:
        #        size_hint_x: 3
        #        text_id: 'fee_network'
        #    LabelLeft:
        #        color: color_gray_3
        #        text:  "{:.2f} %".format(root.fee_network_percent)
        #    LabelRight:
        #        text: app.format_fiat_price(root.fee_network_fiat, 2)

        BoxLayout:
            canvas.before:
                Color:
                    rgba: color_gray_3
                Line:
                    width: 1
                    points: self.x, self.y, self.x + self.width, self.y

            LabelLeft:
                size_hint_x: 3
                text_id: 'fee_lp'
            LabelLeft:
                color: color_gray_3
                text:  "{:.2f} %".format(root.fee_lp_percent)
            LabelRight:
                text: app.format_fiat_price(root.fee_lp, 2)

        Widget:
        BoxLayout:
            LabelLeft:
                size_hint_x: 3
                text_id: 'fee_total'
            LabelLeft:
                color: color_gray_3
                text:  "{:.2f} %".format(root.fee_total_percent)
            LabelRight:
                text: app.format_fiat_price(root.fee_total, 2)
        Widget:

        ButtonDark:
            size_hint_y: 2
            text_id: 'fee_hide_details'
            on_release: root.dismiss()
